| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMEntityResolver Class Reference DOMEntityResolver provides a way for applications to redirect references to external entities. More... List of all members.
## Public Member Functions
Destructor
virtual | ~DOMEntityResolver ()
| Destructor.
Functions introduced in DOM Level 2
virtual DOMInputSource * | resolveEntity (const XMLCh *const publicId, const XMLCh *const systemId, const XMLCh *const baseURI)=0
| Allow the application to resolve external entities.
## Protected Member Functions
Hidden constructors
| DOMEntityResolver ()
## Detailed Description DOMEntityResolver provides a way for applications to redirect references to external entities. Applications needing to implement customized handling for external entities must implement this interface and register their implementation by setting the entityResolver attribute of the DOMBuilder. The DOMBuilder will then allow the application to intercept any external entities (including the external DTD subset and external parameter entities) before including them. Many DOM applications will not need to implement this interface, but it will be especially useful for applications that build XML documents from databases or other specialized input sources, or for applications that use URNs. See also: DOMBuilder::setEntityResolver DOMInputSource::DOMInputSource Since: DOM Level 3 ## Constructor & Destructor Documentation
DOMEntityResolver::DOMEntityResolver | ( |  | ) | `[protected]`
virtual DOMEntityResolver::~DOMEntityResolver | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual DOMInputSource* DOMEntityResolver::resolveEntity | ( | const XMLCh *const | publicId,
|  | const XMLCh *const | systemId,
|  | const XMLCh *const | baseURI |
| ) |  |  | `[pure virtual]`
  Allow the application to resolve external entities. The DOMBuilder will call this method before opening any external entity except the top-level document entity (including the external DTD subset, external entities referenced within the DTD, and external entities referenced within the document element): the application may request that the DOMBuilder resolve the entity itself, that it use an alternative URI, or that it use an entirely different input source. Application writers can use this method to redirect external system identifiers to secure and/or local URIs, to look up public identifiers in a catalogue, or to read an entity from a database or other input source (including, for example, a dialog box). If the system identifier is a URL, the DOMBuilder parser must resolve it fully before reporting it to the application. The returned DOMInputSource is owned by the DOMBuilder which is responsible to clean up the memory. "Experimental - subject to change" Parameters:
  | publicId | The public identifier of the external entity being referenced, or null if none was supplied.
  | systemId | The system identifier of the external entity being referenced.
  | baseURI | The absolute base URI of the resource being parsed, or `null` if there is no base URI.
Returns: A DOMInputSource object describing the new input source, or `null` to request that the parser open a regular URI connection to the system identifier. The returned DOMInputSource is owned by the DOMBuilder which is responsible to clean up the memory. See also: DOMInputSource::DOMInputSource Since: DOM Level 3 The documentation for this class was generated from the following file: DOMEntityResolver.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.